Subject: RE: CT reliability model was RE: [seamoby] [Issue] Support for Mu lti- Phase CT

From: [email-masked]
Date: Thu, 12 Jul 2001 11:39:41 +0300

Hi James,

> What about making it possible to define a binding between a particular
> mobility solution and CT, and have a general framework?

That is one possiblity.  Could another _solution_ be that CT runs as
it's own protocol, but shares a parameter with the handover in
order to synchronize it?

My example would be this.  The mobile node 'sees' 3 potential
handoff targets.  It is not ready to instigate the handover 
yet, but wants to prepare the possible handover candidates,
so it sends some context to them (such as header compression
state).  All three targets get this info (compressor state, 
time-to-live, and synch value).  After some time, the mobile is 
ready to handoff - so it kicks off a handover procedure,
with the CT synch value so that when the new AR gets it,
the new AR knows what context to associate the handover with.
The other 2 targets have the context TTL, so that they can
expire the context that they have.

John

---

From: Theo Pagtzis <[email-masked]>
Date: Thu, 12 Jul 2001 11:37:04 -0700

Hi John

  Your example is very similar to what we are proposing in the proactive
mobility draft

draft-pagtzis-mobileip-proactivev6-00.txt/.ps

(available http://www.cs.ucl.ac.uk/staff/t.pagtzis/docs/docs.html)

and provides the right mechanisms to cater for this. We need to emphasize
here the cell bouncing effects that can create serious oscillation effects
in the 'syncronisation' process with the right handoff candidate

    I have a slight reservation about the term used here though. It sounds
to me that it is not syncronisation that is effected, since for that MN the
new AR will received the context superset once and that is it. There is no
continuous streaming of context (even 'multiplexed' ) where the MN needs to
syncronize in the strict sense of syncronisation.

It simply enables connectivity with the proactive forwarding of the
context; isn't that the case you refer to ?

Theo